Loading...
Searching...
No Matches
lmdb::key_exist_error Class Referencefinal

Exception class for `MDB_KEYEXIST` errors. More...

`#include <lmdb++.h>`

Inheritance diagram for lmdb::key_exist_error:

## Additional Inherited Members

Public Member Functions inherited from lmdb::runtime_error
| error (const char *const origin, const int rc) noexcept
| Constructor.
Public Member Functions inherited from lmdb::error
| error (const char *const origin, const int rc) noexcept
| Constructor.
int | code () const noexcept
| Returns the underlying LMDB error code.
const char * | origin () const noexcept
| Returns the origin of the LMDB error.
virtual const char * | what () const noexcept
| Returns the underlying LMDB error code.
Static Public Member Functions inherited from lmdb::error
static void | raise (const char *origin, int rc)
| Throws an error based on the given LMDB return code.
Protected Attributes inherited from lmdb::error
const int | _code

## Detailed Description

Exception class for `MDB_KEYEXIST` errors.

See also
  http://symas.com/mdb/doc/group__errors.html#ga05dc5bbcc7da81a7345bd8676e8e0e3b

The documentation for this class was generated from the following file:

- lmdb++.h